import javax.swing.*;

public class sogutmakulesitesti
{public static void main(String arg[])
{
sogutmakulesi sk=new sogutmakulesi(1.01325);


double twi=Double.parseDouble(JOptionPane.showInputDialog("su giriş sıcaklığı derece C = "));
double two=Double.parseDouble(JOptionPane.showInputDialog("su çıkış sıcaklığı derece C = "));
double t_kh=Double.parseDouble(JOptionPane.showInputDialog("kuru hava sıcaklığı derece C = "));
double t_yh=Double.parseDouble(JOptionPane.showInputDialog("yaş hava sıcaklığı derece C = "));
while(true)
{
double msu=Double.parseDouble(JOptionPane.showInputDialog("su debisi msu kg/s = "));
double mhava=Double.parseDouble(JOptionPane.showInputDialog("hava debisi mhava kg/s = "));
double vhava=Double.parseDouble(JOptionPane.showInputDialog("hava hızı vhava m/s = "));
double x1=sk.KaV_bolu_L(mhava,msu,twi,two,t_kh,t_yh,false);
double x2=sk.K(vhava,t_kh);
double x3=sk.K1(mhava,msu,139.0);
double x4=sk.K1(mhava,msu,186.0);
double V1_139=x1/x2/139*msu;
double V1_186=x1/x2/186*msu;
double V2_139=x1/x3/139*msu;
double V2_186=x1/x3/186*msu;
System.out.println("KaV/msu = "+x1);
System.out.println("K ı.t.  = "+x2);
System.out.println("v1_186 = "+V1_186);
System.out.println("v1_186 = "+V1_139);
}
}}